# GuDrawBuffer Struct Reference

`#include <sdk/gu/guInternal.h>`

## Data Fields

int | pixel_size
int | frame_width
void * | frame_buffer
void * | disp_buffer
void * | depth_buffer
int | depth_width
int | width
int | height

## Field Documentation

void* GuDrawBuffer::depth_buffer

int GuDrawBuffer::depth_width

void* GuDrawBuffer::disp_buffer

void* GuDrawBuffer::frame_buffer

int GuDrawBuffer::frame_width

int GuDrawBuffer::height

int GuDrawBuffer::pixel_size

int GuDrawBuffer::width

The documentation for this struct was generated from the following file:

- sdk/gu/guInternal.h